<?php

if (!defined('PLUGINLOADER')) {
    die('Plugin ' . basename(dirname(__FILE__)) . ' requires a newer version of the Pluginloader. No direct access.');
}



$cmsAdmin = null;

if ($adm || $logout === 'true' || $f === 'login' || isset($_GET['logged-out'])) {
    require_once $pth['folder']['plugins'] . 'loginlocker/LoginLocker.php';

    $cmsAdmin = new WRLoginLock();
    include_once($pth['folder']['plugins'] . 'jquery/jquery.inc.php');


    if (isset($_GET['logged-out'])) {
        $cmsAdmin->error('expired', strftime('%M:%S', $cmsAdmin->max_inactivity));
    }

    include_jQuery();
    $time = (int) $cmsAdmin->max_inactivity;
    $seconds = $time % 60;

    $minutes = (($time - $seconds) / 60);
    $seconds = $seconds >= 10 ? (string) $seconds : '0' . (string) $seconds;

    $warn = $cmsAdmin->translate('warn', array(strftime('%M:%S', $cmsAdmin->warn_before), $minutes, $seconds));


    $o .= '<div id="status" class="cmsimplecore_warning" style="display: none">' . $warn . '</div>';


    if ($f === 'login') {
        if ($cmsAdmin->isLocked()) {
            $cmsAdmin->error('locked');
            unset($f);
            $adm = false;
        }
    }

    if ($login === 'true') {
        if ($cmsAdmin->isLocked()) {
            $cmsAdmin->error('locked');
            unset($login);
            unset($_COOKIE['status']);
            $adm = false;
        } else {
            $cmsAdmin->logIn();
        }
    }

    if ($adm && $cmsAdmin->status === 'logged-out') {
        $cmsAdmin->logOut(false);
        $adm = false;
    }

    if ($logout === 'true') {
        $cmsAdmin->logOut(true);
        $adm = false;
    }
    if ($adm) {
        $cmsAdmin->touch();
        $timer = ($cmsAdmin->max_inactivity - $cmsAdmin->warn_before) * 1000;

        $hjs .= '<script language="javascript" type="text/javascript">
            var timer = ' . $cmsAdmin->warn_before . ';   
   
            function login_timeout(){
              jQuery("#status").show("slow");
     
              jQuery("#logout-in").text(timer);
               
                window.setTimeout(\'login_timeout()\', 1000);
                if(timer ==  0){
                      
                        window.location.href = window.location;
                }
                
                 timer = timer-1;
            }
           jQuery(document).ready(function(){
           
         //       window.setTimeout(\'login_timeout()\', timer);
           });
            </script>';

        $onload .= 'window.setTimeout(\'login_timeout()\', ' . $timer . ');';
    }
}
?>